Kwalitee Issues

has_human_readable_license

Add a section called "LICENSE" to the documentation, or add a file named LICENSE to the distribution.

has_license_in_source_file

Add =head1 LICENSE and the text of the license to the main module in your code.

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: HTML-FormTemplate-2.03/lib/HTML/FormTemplate.pm -- Around line 182: Expected text after =item, not a numberAround line 186: Expected text after =item, not a numberAround line 190: Expected text after =item, not a numberAround line 194: Expected text after =item, not a numberAround line 198: Expected text after =item, not a numberAround line 202: Expected text after =item, not a numberAround line 206: Expected text after =item, not a numberAround line 210: Expected text after =item, not a numberAround line 214: Expected text after =item, not a numberAround line 228: Expected text after =item, not a numberAround line 232: Expected text after =item, not a numberAround line 236: Expected text after =item, not a numberAround line 240: Expected text after =item, not a numberAround line 244: Expected text after =item, not a numberAround line 248: Expected text after =item, not a numberAround line 252: Expected text after =item, not a numberAround line 256: Expected text after =item, not a numberAround line 260: Expected text after =item, not a numberAround line 2889: Expected text after =item, not a numberAround line 2907: Expected text after =item, not a numberAround line 2913: Expected text after =item, not a numberAround line 2931: Expected text after =item, not a numberAround line 2938: Expected text after =item, not a numberAround line 2948: Expected text after =item, not a numberAround line 2954: Expected text after =item, not a numberAround line 2964: Expected text after =item, not a numberAround line 2973: Expected text after =item, not a number

prereq_matches_use

List all used modules in META.yml requires

Error:

  • strict
  • vars
  • warnings

has_known_license_in_source_file

Add =head1 LICENSE and/or the proper text of the well-known license to the main module in your code.

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • strict
  • warnings

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
HTML::FormTemplate Make data-defined persistant forms, reports 2.03 metacpan

Other Files

ChangeLog metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan